> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riza.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve runtime revision

> Retrieves a runtime revision.



## OpenAPI

````yaml get /v1/runtimes/{runtime_id}/revisions/{revision_id}
openapi: 3.0.3
info:
  title: Execute
  version: 0.1.4
servers:
  - url: https://api.riza.io
security:
  - bearerHttpAuthentication: []
paths:
  /v1/runtimes/{runtime_id}/revisions/{revision_id}:
    get:
      tags:
        - Runtime
      summary: Retrieve runtime revision
      description: Retrieves a runtime revision.
      operationId: retrieveRuntimeRevision
      parameters:
        - in: path
          name: runtime_id
          required: true
          schema:
            type: string
        - in: path
          name: revision_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RuntimeRevision'
          description: OK
        '401':
          content:
            application/json:
              examples:
                unauthenticated:
                  value:
                    code: 16
                    message: unauthenticated
              schema:
                $ref: '#/components/schemas/Status'
          description: Unauthenticated error response
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Riza from '@riza-io/api';


            const client = new Riza({
              apiKey: process.env['RIZA_API_KEY'], // This is the default and can be omitted
            });


            const revision = await client.runtimes.revisions.get('runtime_id',
            'revision_id');


            console.log(revision.id);
        - lang: Python
          source: |-
            import os
            from rizaio import Riza

            client = Riza(
                api_key=os.environ.get("RIZA_API_KEY"),  # This is the default and can be omitted
            )
            revision = client.runtimes.revisions.get(
                revision_id="revision_id",
                runtime_id="runtime_id",
            )
            print(revision.id)
        - lang: Go
          source: |
            package main

            import (
              "context"
              "fmt"

              "github.com/riza-io/riza-api-go"
              "github.com/riza-io/riza-api-go/option"
            )

            func main() {
              client := riza.NewClient(
                option.WithAPIKey("My API Key"), // defaults to os.LookupEnv("RIZA_API_KEY")
              )
              revision, err := client.Runtimes.Revisions.Get(
                context.TODO(),
                "runtime_id",
                "revision_id",
              )
              if err != nil {
                panic(err.Error())
              }
              fmt.Printf("%+v\n", revision.ID)
            }
components:
  schemas:
    RuntimeRevision:
      properties:
        additional_python_imports:
          type: string
        id:
          type: string
        manifest_file:
          $ref: '#/components/schemas/ManifestFile'
        runtime_id:
          type: string
        status:
          enum:
            - pending
            - building
            - succeeded
            - failed
            - cancelled
          type: string
      required:
        - id
        - runtime_id
        - manifest_file
        - status
      type: object
    Status:
      properties:
        code:
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          type: integer
        message:
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          type: string
      type: object
    ManifestFile:
      properties:
        contents:
          type: string
        name:
          enum:
            - requirements.txt
            - package.json
          type: string
      required:
        - name
        - contents
      type: object
  securitySchemes:
    bearerHttpAuthentication:
      scheme: bearer
      type: http

````